version: "3"
services:
  app:
    build:
      context: .
      dockerfile: Dockerfile
    ports:
      - "8070:8070"
    depends_on:
      - db
    environment:
      - JAVA_OPTS=-Dserver.port=8070 -Dspring.datasource.username=root  -Dspring.datasource.password=password
  db:
    image: mysql:latest
    hostname: database
    ports:
      - "3306:3306"
    environment:
      - MYSQL_ROOT_PASSWORD=password
      - MYSQL_DATABASE=mydb
    command: --init-file /data/application/init.sql
    volumes:
      - db_data:/var/lib/mysql
      - ./init.sql:/data/application/init.sql
volumes:
  db_data:

